let config;
const getConfig = () => {
  if (!config && process.env.NODE_ENV !== 'production') {
    console.warn('getConfig() returned undefined - you may have called it before calling loadConfig()');
  }

  return config;
};
const loadConfig = async () => {
  config = await fetch('/config/config.json').then((r) => r.json());

  return config;
};

let localizationStrings;
const getLocalizationStrings = () => {
  if (!localizationStrings) {
    console.warn('getLocalizationStrings() returned undefined - you may have called it before calling loadLocalizationStrings()');
  }

  return localizationStrings;
};
const loadLocalizationStrings = async () => {
  localizationStrings = await fetch('/config/localization.json').then((r) => r.json());

  return localizationStrings;
};

module.exports = {
  getConfig,
  loadConfig,

  getLocalizationStrings,
  loadLocalizationStrings
};
