const { getConfig, getLocalizationStrings } = require('../config');
const { initialiseLocalization } = require('wjec-one/localization');

const localizationStrings = getLocalizationStrings();
const defaultLocale = getConfig().defaultLocale || Object.keys(localizationStrings)[0];

const {
  getLocales,
  localizationContext,
  LocalizationProvider,
  selectLocale,
  useLocalization
} = initialiseLocalization(localizationStrings, defaultLocale);

module.exports = {
  getLocales,
  localizationContext,
  LocalizationProvider,
  selectLocale,
  useLocalization
};
