/// <reference types="jest" />
/// <reference types="React" />

type ConfigEntry = boolean | number | string | Config;
type Config = {
  [key: string]: ConfigEntry | ConfigEntry[];
};

export declare const flushAllPromises: () => Promise<void>;
export declare const getMockAuthState: () => ReturnType<typeof import('wjec-one/auth').useAuthorization>[0];
export declare const setMockAuthState: (state: Partial<ReturnType<typeof import('wjec-one/auth').useAuthorization>[0]>) => void;
export declare const mockUseAuthorizationTools: {
  cancelPasswordChange: jest.Mock;
  cancelPasswordReset: jest.Mock;
  completeForcedPasswordChange: jest.Mock;
  completePasswordChange: jest.Mock;
  completePasswordReset: jest.Mock;
  getSession: jest.Mock;
  getUser: jest.Mock;
  refreshSession: jest.Mock;
  requestPasswordReset: jest.Mock;
  signIn: jest.Mock;
  signOut: jest.Mock;
  startPasswordChange: jest.Mock;
  startPasswordReset: jest.Mock;
  verifySession: jest.Mock;
};
export declare const mockDispatch: jest.Mock<void, [import('wjec-one/store').Action]>;
export declare const getMockConfig: () => Config;
export declare const setMockConfig: (config: Config) => void;
export declare const getMockDispatchState: () => { [key: string]: any };
export declare const setMockDispatchState: (state: { [key: string]: any }) => void;
export declare const getMockLocalizationAvailableLocales: () => string[];
export declare const setMockLocalizationAvailableLocales: (locales: string[]) => void;
export declare const getMockLocalizationLocale: () => string;
export declare const setMockLocalizationLocale: (locale: string) => void;
export declare const mockStringsFormat: jest.Mock<any, any>;
export declare const getMockLocalizationStrings: () => { [key: string]: string } & {
  format: jest.Mock<any, any>;
};
export declare const setMockLocalizationStrings: (strings: { [key: string]: string }) => void;
export declare const getMockFetchJsonSuccess: () => boolean;
export declare const setMockFetchJsonSuccess: (success: boolean) => void;
export declare const getMockFetchJsonResponse: () => any;
export declare const setMockFetchJsonResponse: (res: any) => void;
export declare const getMockServiceResponse: () => {
    body: any;
    success: boolean;
};
export declare const setMockServiceResponse: (res: {
    body: any;
    success: boolean;
}) => void;
export declare const getMockThemeBrand: () => string;
export declare const setMockThemeBrand: (brand: string) => void;
export declare const getMockThemeColorPalette: () => { [key: string]: string };
export declare const setMockThemeColorPalette: (colorPalette: { [key: string]: string }) => void;

export declare const createMockContext: <S extends {}>(initialState: S) => ({
  dispatch: jest.Mock<any, any>;
  hook: () => [S, jest.Mock<any, any>];
  Provider: React.FC;
  state: S;
});
export declare const clearContextMocks: () => void;
export declare const getContextMocks: <S>() => Array<{
  dispatch: jest.Mock<any, any>;
  resetState: () => void;
}>;
