/// <reference types="react" />
/// <reference types="@emotion/core" />

declare type Action = (import('wjec-one/store').Action extends undefined ? 0 : 1) extends 1
  ? import('wjec-one/store').Action
  : import('../../../store').Action;

declare type DestructurableRecord<T> = (import('wjec-one/store').DestructurableRecord<any> extends undefined ? 0 : 1) extends 1
  ? import('wjec-one/store').DestructurableRecord<T>
  : import('../../../store').DestructurableRecord<T>;

declare type SimpleAction = (import('wjec-one/store').SimpleAction extends undefined ? 0 : 1) extends 1
  ? import('wjec-one/store').SimpleAction
  : import('../../../store').SimpleAction;

export declare type ThemeState = (import('wjec-one/theme').ThemeState extends undefined ? 0 : 1) extends 1
  ? import('wjec-one/theme').ThemeState
  : import('../../../theme').ThemeState;

type ThemeStylesType = (import('@emotion/core').SerializedStyles extends undefined ? 0 : 1) extends 1
  ? import('@emotion/core').SerializedStyles
  : import('react').CSSProperties;

export declare const selectBrand: (payload?: 'eduqas' | 'wjec') => SimpleAction;
export declare const themeContext: import('react').Context<[DestructurableRecord<ThemeState>, import('react').Dispatch<Action>]>;
export declare const WjecOneThemeProvider: import('react').FC<{
    brand?: 'eduqas' | 'wjec';
}>;
export declare const useWjecOneTheme: () => [DestructurableRecord<ThemeState>, import('react').Dispatch<Action>];
export declare const useWjecOneThemeStyles: <S extends {
  [key: string]: ThemeStylesType;
}>(styles: S | ((theme: ThemeState) => S)) => S;

declare module 'WJECOneThemeDevUtils' {
  export default {
    selectBrand,
    themeContext,
    WjecOneThemeProvider,
    useWjecOneTheme,
    useWjecOneThemeStyles
  }
}
